Namespace
arm64v8
Image / Tag
openjdk:21-ea-31-bookworm
Content Digest
sha256:85b1dc5cabeb6582106b6087b506bf0c5daffae9a2a01e1fcb747a4eb6731fba
Details
Created

2023-07-14 00:46:57 UTC

Size

341 MB

Content Digest
Environment
JAVA_HOME

/usr/local/openjdk-21

JAVA_VERSION

21-ea+31

LANG

C.UTF-8

PATH

/usr/local/openjdk-21/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:42cbebf8bc116ba1aed7897e2d0566bf49da9d5c70be71b6a7cb07805d2f5b7a - 13.88% (47.3 MB)

[#001] sha256:9a0518ec57568a70561f7c04650f9554c88dada973f54d88e36f65b0796d35de - 6.6% (22.5 MB)

[#002] sha256:356172c718acf9930d9465b170864319079e2d2ebac0ddef781d64e85789531e - 17.91% (61 MB)

[#003] sha256:b194d600b7f300615aada88430a937774f4f19a53f70de68b85504b8cb5bfbf3 - 4.96% (16.9 MB)

[#004] sha256:8feca29f717e149e6e89db1fefd91a867bedfb57e1af7c58c00edef94b02790c - 56.65% (193 MB)


History
2023-07-04 01:57:26 UTC

/bin/sh -c #(nop) ADD file:ab1761d899751c4d24e15179fc9e7e7ac3fb83798ee37ca13d6a6ac44fbeded3 in /

2023-07-04 01:57:27 UTC

/bin/sh -c #(nop) CMD ["bash"]

2023-07-04 05:54:26 UTC

/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends ca-certificates curl gnupg netbase sq wget ; rm -rf /var/lib/apt/lists/*

2023-07-04 05:54:48 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2023-07-04 13:26:29 UTC

/bin/sh -c set -eux; apt-get update; apt-get install -y --no-install-recommends bzip2 unzip xz-utils binutils fontconfig libfreetype6 ca-certificates p11-kit ; rm -rf /var/lib/apt/lists/*

2023-07-04 13:28:20 UTC

/bin/sh -c #(nop) ENV JAVA_HOME=/usr/local/openjdk-21

2023-07-04 13:28:21 UTC

/bin/sh -c #(nop) ENV PATH=/usr/local/openjdk-21/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2023-07-04 13:28:21 UTC

/bin/sh -c #(nop) ENV LANG=C.UTF-8

2023-07-14 00:46:45 UTC

/bin/sh -c #(nop) ENV JAVA_VERSION=21-ea+31

2023-07-14 00:46:55 UTC

/bin/sh -c set -eux; arch="$(dpkg --print-architecture)"; case "$arch" in 'amd64') downloadUrl='https://download.java.net/java/early_access/jdk21/31/GPL/openjdk-21-ea+31_linux-x64_bin.tar.gz'; downloadSha256='e2f42a80cedd4a2e59f7bd479fd308aa71a53b785012b79efa570bfc7ec21a12'; ;; 'arm64') downloadUrl='https://download.java.net/java/early_access/jdk21/31/GPL/openjdk-21-ea+31_linux-aarch64_bin.tar.gz'; downloadSha256='4ea543bd3c33a75f02b74f6a838e577c43e8e150cac353e22c70898b3ba119c8'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; wget --progress=dot:giga -O openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; { echo '#!/usr/bin/env bash'; echo 'set -Eeuo pipefail'; echo 'trust extract --overwrite --format=java-cacerts --filter=ca-anchors --purpose=server-auth "$JAVA_HOME/lib/security/cacerts"'; } > /etc/ca-certificates/update.d/docker-openjdk; chmod +x /etc/ca-certificates/update.d/docker-openjdk; /etc/ca-certificates/update.d/docker-openjdk; find "$JAVA_HOME/lib" -name '*.so' -exec dirname '{}' ';' | sort -u > /etc/ld.so.conf.d/docker-openjdk.conf; ldconfig; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version

2023-07-14 00:46:57 UTC

/bin/sh -c #(nop) CMD ["jshell"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete